Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.examples.nurserostering.domain
Class Shift

    java.lang.Object
      org.drools.planner.examples.common.domain.AbstractPersistable
          org.drools.planner.examples.nurserostering.domain.Shift

All Implemented Interfaces:
  Serializable, Comparable<AbstractPersistable>

    public class Shift

extends AbstractPersistable

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.drools.planner.examples.common.domain.AbstractPersistable
`id`

Constructor Summary
`Shift()`

Method Summary
`int` | `getIndex()`
`String` | `getLabel()`
`int` | `getRequiredEmployeeSize()`
`ShiftDate` | `getShiftDate()`
`ShiftType` | `getShiftType()`
`void` | `setIndex(int index)`
`void` | `setRequiredEmployeeSize(int requiredEmployeeSize)`
`void` | `setShiftDate(ShiftDate shiftDate)`
`void` | `setShiftType(ShiftType shiftType)`
`String` | `toString()`

Methods inherited from class org.drools.planner.examples.common.domain.AbstractPersistable
`compareTo, getId, setId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Shift

    public Shift()

Method Detail

### getShiftDate

    public ShiftDate getShiftDate()

### setShiftDate

    public void setShiftDate(ShiftDate shiftDate)

### getShiftType

    public ShiftType getShiftType()

### setShiftType

    public void setShiftType(ShiftType shiftType)

### getIndex

    public int getIndex()

### setIndex

    public void setIndex(int index)

### getRequiredEmployeeSize

    public int getRequiredEmployeeSize()

### setRequiredEmployeeSize

    public void setRequiredEmployeeSize(int requiredEmployeeSize)

### getLabel

    public String getLabel()

### toString

    public String toString()

  Overrides:
    `toString` in class `AbstractPersistable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.